///////////////////////////////////////////////////////////////////////////
// ASVM: Active Support Vector Machine                                   //
// Copyright 2000 David R. Musicant and Olvi L. Mangasarian.             //
// This software is free for academic use only.                          //
// For commercial use, contact musicant@cs.wisc.edu.                     //
///////////////////////////////////////////////////////////////////////////
// Utilities.cpp: General purpose utilities.                             //
///////////////////////////////////////////////////////////////////////////

#include "Utilities.H"

//////////////////////////////////////////////////////////////////////
// CPUTime functions
//////////////////////////////////////////////////////////////////////

// Clock constructor
CPUTime::CPUTime() {
  totalTime = 0;
}

// Reset clock
void CPUTime::Reset() {
  initTick = clock();
}

// Read clock
double CPUTime::Check() {
  lastTick = clock();
  totalTime = (double)(lastTick - initTick) / CLOCKS_PER_SEC;
  return totalTime;
}

