% ASVM Active Set Support Vector Machine additional information
%
% ASVM provides a description for each iteration. Here is an
% explanation of what the descriptions mean:
%
% Normal iteration: ASVM has successfully decreased the objective
% value with a standard iteration.
%
% Global grad projection: ASVM has reached the minimum on its face of
% active constraints, and therefore performs a gradient projection
% step on the set of _all_ constraints to obtain a new basic set
% with a decreased objective.
%
% Project active set min: ASVM has not reached the minimum on its
% face of active constraints, and the normal ASVM iteration does not
% improve the objective value. Therefore, ASVM moves in the
% direction of the unconstrained minimum on the face, and stops when
% it reaches an active constraint. This is the "active set strategy"
% part of the algorithm.
%
% Face grad: This is a last step effort when all else fails, which
% should only happen due to numerical problems such as bad
% conditioning. ASVM performs a projected gradient step on the face
% of active constraints, and continues to do so until optimality on
% the face is acheived or the set of active constraints changes.
